%define anolis_release 4
%define debug_package %{nil}

Name:	        hexl	
Version:	1.2.3
Release:        %{anolis_release}%{?dist}
Summary:	HEXL is an open-source library which provides efficient implementations of integer arithmetic on Galois fields

License:	Apache License 2.0
URL:		https://github.com/intel/hexl
Source0:	https://github.com/intel/hexl/archive/refs/tags/%{name}-%{version}.tar.gz

Patch1001:	1001-modify-the-header-path-of-cpu_features.patch

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cpu_features-devel
Requires:       glibc

ExclusiveArch:  x86_64
Conflicts:	%{name}-devel < 1.2.3-4

%description
Intel HE acceleration library

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:	cpu_features-devel

%description devel
The %{name}-devel package contains development files for %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%cmake -DHEXL_BENCHMARK=OFF -DHEXL_TESTING=OFF -DHEXL_SHARED_LIB=ON -DCMAKE_INSTALL_LIBDIR=%{_libdir}

%cmake_build

%install
%cmake_install

%files
%license LICENSE
%{_libdir}/libhexl.so.%{version}

%files devel
%{_libdir}/libhexl.so
%{_includedir}/%{name}/
%{_libdir}/cmake/%{name}-%{version}/
%{_libdir}/pkgconfig/hexl.pc

%files doc
%doc README.md CONTRIBUTING.md CODEOWNERS

%changelog
* Wed Nov 23 2022 Funda Wang <fundawang@yeah.net> - 1.2.3-4
- Drop libdir patch and use declaration at build time
- Move libfile into main package

* Thu Nov 17 2022 happy_orange <songnannan@linux.alibaba.com> - 1.2.3-3
- enable HEXL_SHARED_LIB and change the libdir to lib64

* Thu Nov 10 2022 happy_orange <songnannan@linux.alibaba.com> - 1.2.3-2
- add cpu_features-devel in requires

* Tue Oct 18 2022 xhuan28 <xiaojun.huang@intel.com> - 1.2.3-1
- Init package
